on prepareMovie
  repeat with theMember = 2 to 20
    set i to the moviePath & the name of member theMember of castLib "dbImages" & ".pic"
    set the fileName of member theMember to i
    put i
  end repeat
end

on startMovie
  global gselectedBoxes, myFile, lastFrame, originalVolume
  clearGlobals()
  set gselectedBoxes to [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
  set originalVolume to the soundLevel
  if originalVolume = 0 then
    set originalVolume to originalVolume + 1
  end if
  resetBoxes()
  resetFields()
  set the visible of sprite 38 to 0
  set the visible of sprite 52 to 0
  set the visible of sprite 70 to 0
  set the moveableSprite of sprite 38 to 1
  if the machineType = 256 then
    if the platform = "Windows,32" then
      openXLib(the pathName & "XTRAS32\FileIO")
    else
      openXLib(the pathName & "XTRAS16\FileIO")
    end if
  else
    openXLib(the pathName & "XTRAS:FileIOXtraFat")
  end if
  importData()
  set the itemDelimiter to TAB
  loadBrowser()
end

on resetFields
  set the text of field "rollover text" to EMPTY
  set the text of field "roll info" to EMPTY
  set the text of field "appName" to EMPTY
  set the text of field "description" to EMPTY
  set the text of field "launchPath" to EMPTY
  set the text of field "webPath" to EMPTY
  set the text of field "price" to EMPTY
  set the text of field "type" to EMPTY
  set the text of field "whichBox" to EMPTY
  set the text of field "sign1" to EMPTY
  set the text of field "sign2" to EMPTY
  set the text of field "sign3" to EMPTY
  set the text of field "sign4" to EMPTY
  set the text of field "OsPath" to EMPTY
  set the text of field "thePath" to EMPTY
  set the text of field "browserSelect" to EMPTY
  set the text of field "storeData" to EMPTY
  set the text of field "temp" to EMPTY
  set the text of field "lastClicked" to EMPTY
  set the text of field "indexList" to EMPTY
end

on resetBoxes
  repeat with i = 2 to 21
    set the visible of sprite i to 1
  end repeat
end

on resetDrag
  set the visible of sprite 38 to 0
  set the locH of sprite 38 to 296
  set the locV of sprite 38 to 210
end

on updateData
  put item 1 of field "temp" into field "appName"
  put item 2 of field "temp" into field "description"
  put item 3 of field "temp" into field "launchPath"
  put item 4 of field "temp" into field "webPath"
  put item 5 of field "temp" into field "price"
  put item 6 of field "temp" into field "platform"
  put item 7 of field "temp" into field "type"
  parseCRs()
end

on checkItems
  repeat with i = 1 to 20
    set x to line i of field "storeData"
    if item 1 of x = "n/a" then
      set the visible of sprite (i + 1) to 0
      put i + 1
    end if
  end repeat
end

on loadBrowser
  global myFile
  set gOSDir to getOSDirectory()
  put gOSDir & "\" into field "OSPath"
  put gOSDir & "\BROWSER.TXT" into field "ThePath"
  set DaPath to field "ThePath"
  if objectp(myFile) then
    set myFile to 0
  end if
  set myFile to new(xtra("fileio"))
  openFile(myFile, DaPath, 1)
  set TheWeb to readLine(myFile)
  put TheWeb into field "browserSelect"
  closeFile(myFile)
  set myFile to 0
end

on getDrivePC
  set curpath to the moviePath
  set olddelimiter to the itemDelimiter
  set the itemDelimiter to "\"
  set drive to item 1 of curpath & "\"
  set the itemDelimiter to olddelimiter
  return drive
end

on getDriveMac
  set curpath to the moviePath
  set olddelimiter to the itemDelimiter
  set the itemDelimiter to ":"
  set drive to item 1 of curpath & ":"
  set the itemDelimiter to olddelimiter
  return drive
end

on checkFile
  global myFile
  set myFile to new(xtra("fileio"))
  set textName to the pathName & "browser.txt"
  openFile(myFile, textName, 0)
  if voidp(textName) then
    selectWeb()
  else
    delete(myFile)
    selectWeb()
  end if
end

on selectWeb
  global myFile
  set myFile to new(xtra("fileio"))
  set fileName to displayOpen(myFile)
  put fileName into field "browserSelect"
  set myFile to 0
  set myFile to new(xtra("fileio"))
  set textName to the pathName & "browser.txt"
  createFile(myFile, textName)
  set vWeb to field "browserSelect"
  openFile(myFile, textName, 0)
  writeString(myFile, vWeb)
  closeFile(myFile)
  set myFile to 0
end

on createIndex
  global gselectedBoxes
  set the text of field "indexList" to EMPTY
  repeat with idx = 1 to 20
    if item 1 of line idx of field "storeData" contains "n/a" then
      nothing()
      next repeat
    end if
    if field "indexList" <> EMPTY then
      set i to the text of field "indexList"
      put i & RETURN & item 1 of line idx of field "storeData" into field "indexList"
      next repeat
    end if
    put item 1 of line idx of field "storeData" into field "indexList"
  end repeat
end

on parseCRs
  set the itemDelimiter to ""
  set tempStorage to EMPTY
  set newString to EMPTY
  repeat with x = 1 to the number of items in field "description"
    set tempStorage to item x of field "description" & RETURN
    set newString to newString & tempStorage
  end repeat
  put EMPTY into field "description"
  put newString into field "description"
  set the itemDelimiter to TAB
end

on importData
  global myFile
  if the machineType = 256 then
    set importPath to the moviePath & "import\" & "StoreDat.TXT"
  else
    set importPath to the moviePath & "import:" & "StoreDat.TXT"
  end if
  if objectp(myFile) then
    set myFile to 0
  end if
  set myFile to new(xtra("fileio"))
  openFile(myFile, importPath, 1)
  set data to readFile(myFile)
  put data into field "storeData"
  put line 21 of field "storeData" into field "sign1"
  put line 22 of field "storeData" into field "sign2"
  put line 23 of field "storeData" into field "sign3"
  put line 24 of field "storeData" into field "sign4"
end
